.input-holder {
  padding: 15px 15px;
  position: relative;
}

input.ng-invalid.ng-touched, select.ng-invalid.ng-touched{
  border: solid 1px red;
}

.form-input {
  width: 100%;
  border: solid rgba($color: #000000, $alpha: 0.08) 2px;
  transition: border 0.3s;
  border-radius: 3px;
  padding: 8px 90px 8px 16px;
  color: #6f7484;
  font-weight: 600;
  &:focus {
    transition: border 0.3s;
    outline: none !important;
    border: solid $purple 2px;
  }
}

.input-button {
  position: absolute;
  right: 16px;
  top: 16px;
  background-color: $purple;
  color: white;
  border: 1px solid $purple;
  padding: 8px 16px;
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;
  transition: color, background-color 0.3s;
  &:hover{
    background-color: darken($purple, 10);
    border: solid darken($purple, 10) 1px;
    color: $white;
    transition: color, background-color 0.3s;
  }
}
